complexType "QueryPortfolio"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 5 elements
Defined: | globally in fpml-doc-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | partyPortfolioName?, (tradeId* | partyTradeIdentifier*)?, portfolio*, queryParameter*
</...>

Content Model Elements (5):

  partyPortfolioName, partyTradeIdentifier (defined in Portfolio complexType), portfolio (defined in Portfolio complexType), | queryParameter, tradeId (defined in Portfolio complexType)

All Direct / Indirect Based Elements (3):

  queryPortfolio, queryPortfolio (defined in ReportContents complexType), | queryPortfolio (defined in RequestedPositions complexType)

Known Usage Locations

- As direct type of elements (3):

  queryPortfolio, queryPortfolio (defined in ReportContents complexType), | queryPortfolio (defined in RequestedPositions complexType)

Annotation
A type representing a portfolio obtained by querying the set of trades held in a repository. It contains trades matching the intersection of all criteria specified using one or more queryParameters or trades matching the union of two or more child queryPortfolios.
Type Definition Detail

Type Derivation Tree Portfolio (extension) QueryPortfolio

XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="QueryPortfolio"> <xsd:complexContent> <xsd:extension base="Portfolio"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="queryParameter" type="QueryParameter"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/5)
queryParameter

  Type: | QueryParameter, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="queryParameter" type="QueryParameter"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.